package com.wdkl.app.ncs.callingbed.launch

import com.enation.javashop.android.jrouter.external.annotation.Router
import com.wdkl.app.ncs.callingbed.di.CallingbedComponent
import com.wdkl.app.ncs.callingbed.di.DaggerCallingbedComponent
import com.wdkl.ncs.android.lib.base.BaseLaunch
import com.wdkl.ncs.android.middleware.di.DaggerManager

@Router(path = "/callingbed/launch")
class CallingbedLaunch :BaseLaunch() {
    companion object {
        lateinit var component: CallingbedComponent
    }

    override fun moduleInit() {
        component = DaggerCallingbedComponent.builder()
                .applicationComponent(DaggerManager.APPLICATION_COMPONENT)
                .build()
    }
}